Algolia for Magento 2.2.3 not working in IE Edge

instantsearch
magento2

#1

Algolia 1.9.1 for Magento 2.2.3 is causing a Javscript Error in Edge Browser on Windows 7 and is not working at all plus causes other JS to break:

“window.routing={router:algoliaBundle.instantsearch.routers.history({parseURL({qsModule,location})”
Expected ‘:’

Polyfill is used:
https://cdn.polyfill.io/v3/polyfill.min.js?features=default,Array.prototype.includes,Array.prototype.find

URL for live demo:
https://www.brandvital.de/


#2

Hi @benlau,

Thanks for reaching out to us. We are aware that our instantsearch.js library requires polyfills to be compatible for IE11. In our latest version, we have corrected the ES6 syntax and have added a polyfill to help support IE11 browsers in our extension.

Please consider upgrading your Algolia extension to be compatible with IE11!

https://github.com/algolia/algoliasearch-magento-2/releases

Thanks!